/* =========================================================
   GLOBAL VARIABLES
   Manage fonts, colors, spacings & typography in one place
========================================================= */
:root {
    /* COLORS */
  --white: #ffffff;
  --black: #000000;
  --text:#0F1923;
  --primary: #C22227;
  --gray:#82878B;
  --light-gray:#BFC8CE;
  --transparent: transparent;

  /* Status Color */
  --success: #166835;
  --danger: #dc3545;
  --warning: #FFF50C;
  --info: #0dcaf0; 
  

  /* FONT SIZES */
  --fontHead: "roc-grotesk-wide", sans-serif;
  --f50: 50px;
  --f40: 40px;
  --f28: 28px;
  --f20: 20px;
  --f18: 18px;
  --f16: 16px;

  --p: 16px;
  --h1:var(--f40);
  --h2:var(--f40);
  --h3:var(--f28);
  --h4:var(--f20);
  --h5: var(--f20);

    /* FONTS */
 /* Body Style */
 
  --fontBody: "Inter", sans-serif;
  --bodyFsize: var(--bodyDefault);
  --bodyLh: 1.45;
  --bodyColor: var(--text);
  --bodyBg: var(--white);

  --bodyDefault: 18px;

  /* Container and Space */
  --container: 1048px;
  --sp160: 160px;
  --sp150: 150px;
  --sp100: 100px;
  --sp80: 80px;
  --sp60: 60px;
  --sp40: 40px;


  --gap100: 100px;
  --gap50: 50px;
 

}

@media (prefers-reduced-motion: no-preference) {
  :root {
    scroll-behavior: smooth;
  }
}

/* =========================================================
   BASE RESET (Fast + lightweight)
========================================================= */

*, *::before, *::after { margin: 0; padding: 0; box-sizing: border-box; }
sup{font-size: 45%; bottom: 0.7em;}
html { scroll-behavior: smooth; }
body {
  margin: 0;
  font-family: var(--fontBody);
  font-size: var(--bodyFsize);
  line-height: var(--bodyLh);
  color: var(--bodyColor);
  background: var(--bodyBg);
  -webkit-font-smoothing: antialiased;
}

/* Images SEO-friendly */
img { max-width: 100%; height: auto; display: block; }

select {appearance: none;-webkit-appearance: none;-moz-appearance: none;background-color: var(--white);border: 1px solid #231F20;padding: 10px 40px 10px 20px;font-size: 16px; background-image: url(/wp-content/uploads/2025/04/downArrow.svg); background-repeat: no-repeat; background-position: calc(100% - 20px) 50%; }
select::-ms-expand { display: none; }
p { margin-top: 0; margin-bottom: 20px;}
p:last-child { margin-bottom: 0; }
h1, h2{margin-bottom: 0;}
h1, h2, h3, h4, h5, h6{margin-top: 0;}

h1, .h1, .elementor-kit-7 h1, .elementor-kit-7 .h1 {font-size: var(--h1);line-height: 1.3;}
h2, .h2, .elementor-kit-7 h2, .elementor-kit-7 .h2 {font-size: var(--h2);line-height: 1.05;}
h3, .h3, .elementor-kit-7 h3, .elementor-kit-7 .h3 {font-size: var(--h3);line-height: 1;}
h4, .h4, .elementor-kit-7 h4, .elementor-kit-7 .h4 {font-size: var(--h4);line-height: 1.1;}
h5, .h5, .elementor-kit-7 h5, .elementor-kit-7 .h5 {font-size: var(--h5);line-height: 1;}


.mb-0{margin-bottom: 0 !important;}

.bg-white { background-color: var(--white); }
.bg-black { background-color: var(--black); }
.bg-primary { background-color: var(--primary); }
.bg-transparent { background-color: var(--transparent); }

.text-nowrap { white-space: nowrap; }
.text-white { color: var(--white); }
.text-black { color: var(--black); }
.text-primary { color: var(--primary); }
.highLight-blue{ color: var(--text) !important; }
.iconHAuto svg{height:auto !important;}

/* =========================================================
   Page Styles
========================================================= */

.mainHeader .elementor-menu-toggle__icon--close {
    display: none !important;
}

.mainHeader .elementor-menu-toggle {
    padding: 0 !important;
    margin-right: -10px;
    z-index: 10001;
    position: relative;
}

.mainHeader .elementor-menu-toggle__icon--open svg, .mainHeader .elementor-menu-toggle__icon--open {
    display: block !important;
}

.mainHeader .elementor-menu-toggle .line {
    transition: stroke-dasharray 600ms cubic-bezier(.4,0,.2,1),stroke-dashoffset 600ms cubic-bezier(.4,0,.2,1)
}

.mainHeader .elementor-menu-toggle[aria-expanded="true"] .line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6
}

.mainHeader .elementor-menu-toggle[aria-expanded="true"] .line2 {
    stroke-dasharray: 0 60;
    stroke-dashoffset: -30;
    stroke-width: 6
}

.mainHeader .elementor-menu-toggle[aria-expanded="true"] .line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6
}

header .mainHeader{backdrop-filter: blur(80px);position: fixed;top:0;left:0;width: 100%;z-index: 1000;transition: all 0.3s ease-in-out; }
body.admin-bar header .mainHeader{top:32px;}

.mainHeader .mainMenu>.elementor-nav-menu--main>ul>li:last-child>a { background-color: var(--white); color: var(--text) !important; padding: 9px 20px !important; line-height: 1.2 !important; font-weight: 700 !important; font-family: var(--fontHead) !important; align-self: center; text-transform: uppercase; border-radius:4px;}
.mainHeader .mainMenu>.elementor-nav-menu--main>ul>li:last-child>a:hover { background-color: rgba(255,255,255,0.4); color: var(--white) !important; text-decoration: none; }
.mainHeader .mainMenu>.elementor-nav-menu--main>ul>li:last-child>a:hover:after{display: none}


.footerLogo{max-width: inherit !important;}

.homeHero .heroOverlay{position: absolute;left:0; width: 100%; bottom:0;}
.homeHero .heroOverlay >.e-con-inner{z-index: 9;}
.homeHero:not(.innerHero) .heroOverlay:before {content: "";position: absolute;width: 100%;height: 100%;left: 0px;bottom: 0;background: linear-gradient(180deg, #0F1A23 15%, rgba(15, 26, 35, 0) 100%);/* mix-blend-mode: normal; *//* backdrop-filter: blur(0px); */transform: matrix(1, 0, 0, -1, 0, 0);top: auto;}
.homeHero:not(.innerHero) .heroOverlay:after { content: ""; position: absolute; width: 100%; height: 100%; left: 0px; bottom: 0; backdrop-filter: blur(12px); transform: matrix(1, 0, 0, -1, 0, 0); /* filter: blur(10px); */ -webkit-mask-image: linear-gradient(180deg, #0F1A23 75%, rgba(15, 26, 35, 0) 100%); mask-image: linear-gradient(180deg, #0F1A23 75%, rgba(15, 26, 35, 0) 100%); }
.homeHero .bannerCta { min-width: 302px; padding-left: 40px; } 
.homeHero .bannerCta:before { content: ""; position: absolute; left: 0; top: 0; width: 2px; height: 100%; background-color: var(--white); opacity: 0.8; mix-blend-mode: overlay; }
.homeHero .bannerCta .hmHerobtn svg{width: auto;}

.workContainer{max-width: var(--container);margin-inline: auto;}
.counterList{counter-reset: li;}
.counterList ul li:before{counter-increment: li; content: counter(li); font-size: var(--f50); font-family: "roc-grotesk-extrawide",sans-serif; color: var(--light-gray); margin-right: 15px; font-weight: 300;}
.counterList ul li .elementor-icon-list-text strong{display:block; font-size: var(--h5);color: var(--text); line-height: 1;font-weight: 500;}

.hmBrandlist .gallery{display:flex;flex-wrap: wrap; gap:30px 40px; justify-content: center; align-items: center;}
.hmBrandlist .gallery br{display:none;}
.hmBrandlist .gallery .gallery-item{margin:0 !important; flex: 0 0 auto; width:auto !important; max-width: 100% !important;}
.hmBrandlist .gallery .gallery-item img{border: 0 !important;max-height: 34px;width: auto;}
.proCraftSec:before{z-index: 2;}
.proCraftSec .mobIcon svg g{mix-blend-mode: inherit !important;}

.gform-theme--foundation .gfield textarea{border-radius: 5px !important;}
.ginput_container_textarea textarea{border-radius: 5px !important;}

.ginput_container_textarea { position: relative; overflow: hidden; } 
.ginput_container_textarea label { z-index: 2; position: relative; } 
.ginput_container_textarea:after { content: ''; position: absolute; left: 1px; height: 40px; background: var(--white); top: 1px; right: 1px; border-top-right-radius: 20px; border-top-left-radius: 6px; pointer-events: none; } 
.gform-theme--foundation .gform-field-label { z-index: 2; }

.e-n-accordion-item-title *{transition:all ease .3s;}

.gform-theme--framework .gform_confirmation_message { padding: 10px !important; border: 1px solid #4caf50 !important; background-color: #e8f5e9 !important; color: #4caf50 !important; border-radius: 4px !important; }
.gform-theme--framework .gform-loader{border-block-end-color:var(--primary) !important;border-block-start-color:var(--gf-form-spinner-bg-color);border-inline-end-color:var(--gf-form-spinner-bg-color);border-inline-start-color:var(--primary) !important;}
/* =========================================================
   Media Queries
========================================================= */



@media (min-width: 1025px) {
  header .mainHeader{ padding:40px 0; }
  /* header .mainHeader.sticky{padding: 15px 0 ;} */
.mainHeader .mainMenu>.elementor-nav-menu--main>ul{flex:0 0 100%;}
.mainHeader .mainMenu>.elementor-nav-menu--main>ul>li:last-child{margin-left:auto;}
.staySocial{margin-left:auto;}
}

@media (min-width: 1200px) {
  .homeHero{min-height: 500px;max-height: 100vh; }
}

@media (min-width: 1440px) {
  .homeHero{min-height: 650px;}

}



@media (max-width: 1200px) {
 :root {
   --f50: 48px;
   --f40: 36px;
   --f28: 24px;

    --sp160: 120px;
    --sp150: 110px;
    --sp100: 80px;
    --sp80: 70px;
    --sp60: 50px;
    --sp40: 30px;

    --gap100: 80px;
    --gap50: 45px;
  }
  .logoSpaceHead{max-width: 330px;}
 
}

@media (max-width: 1090px) {
      .elementor-element.e-con.e-con-boxed:not(.loopContainer, .e-child)>.e-con-inner { padding-inline: 20px !important; }

}


@media (max-width: 1024px) {
 :root {
    --f50: 42px;
    --f40: 28px;
    --f20: 18px;
    --f18: 17px;

    --sp160: 90px;
    --sp150: 80px;
    --sp100: 60px;
    --sp80: 50px;
    --sp60: 40px;
    --sp40: 24px;

    --gap100: 60px;
    --gap50: 35px;

  }

body .elementor-12 .elementor-element.elementor-element-3daccdd .elementor-nav-menu--main > .elementor-nav-menu > li > .elementor-nav-menu--dropdown, body .elementor-12 .elementor-element.elementor-element-3daccdd .elementor-nav-menu__container.elementor-nav-menu--dropdown{margin-top: 0 !important;}
.mainHeader nav.elementor-nav-menu--dropdown{visibility: hidden; pointer-events: none; --menu-height:100dvh !important; position: fixed !important; top:calc(var(--headerHeight) - 2px) !important; right: 0 !important;left:0 !important; width: 100%; height: calc(100vh - var(--headerHeight)) !important;  max-height: calc(100dvh - var(--headerHeight)) !important;background: transparent !important; box-shadow: none !important;transform: scaleY(1) !important; overflow: auto !important;}
body:before{content: "";position: fixed;top: 50%;left: 50%;width: 1920px;height: 1920px;background: var(--text);transform: translate(-50%, -50%) scale(0);transform-origin: center center;opacity: 0.5;transition: all 0.55s ease-in-out;border-radius: 50%;z-index: 999;}
body:has(.elementor-menu-toggle.elementor-active){overflow: hidden;}
body:has(.elementor-menu-toggle.elementor-active):before{transform: translate(-50%, -50%) scale(1.4);opacity: 1;}
body:has(.elementor-menu-toggle.elementor-active) .mainHeader nav.elementor-nav-menu--dropdown{visibility: visible; pointer-events: auto;}
.mainHeader nav.elementor-nav-menu--dropdown .elementor-nav-menu{height: 100%; align-items: center; justify-content: center; display: flex; flex-direction: column; gap: 15px;}
.mainHeader nav.elementor-nav-menu--dropdown li{opacity: 0; transform: translateY(10px);  transition: all 0.3s ease-in;}
body:has(.elementor-menu-toggle.elementor-active) .mainHeader nav.elementor-nav-menu--dropdown li{opacity: 1; transform: translateY(0px); transition-delay: 0.55s;}
.mainHeader nav.elementor-nav-menu--dropdown li a{ font-size: var(--f40) !important; font-weight: 500; text-align: center; padding: 5px 0 !important;}
.mainHeader nav.elementor-nav-menu--dropdown li a:hover{text-decoration: none;background-color: transparent !important;}
.mainHeader .elementor-nav-menu--dropdown .elementor-item-active { border-bottom: 1px solid var(--white); }


header .mainHeader{padding: 5px 0;}
.homeHero .bannerCta{padding-left: 0;}
.homeHero .bannerCta:before{display: none;}
.hmBrandlist .gallery{gap: 30px 30px;}
.zigzaqList .coverImg{position: static !important;} 

.mainHeader nav.elementor-nav-menu--dropdown li:last-child a {
  background-color: var(--white);
  color: var(--text) !important;
  padding: 9px 20px !important;
  line-height: 1.2 !important;
  align-self: center;
  text-transform: uppercase;
  border-radius: 4px;
}

}

@media (max-width: 991px) {
.homeHero{margin-bottom: var(--itemHeight, 0) !important;}
.homeHero .heroOverlay{bottom: auto; top:100% !important;background: var(--text);}
.homeHero .heroOverlay:before, .homeHero .heroOverlay:after{display: none !important;}
}

@media (max-width: 767px) {
  :root {
    --f50: 36px;
    --f40: 26px;
    --f28: 22px;
    --f18: 16px;

    --sp160: 60px;
    --sp150: 50px;
    --sp100: 45px;
    --sp80: 40px;
    --sp60: 30px;
    --sp40: 20px;

    --gap100: 50px;
    --gap50: 30px;

  }
.hmTouchList> .elementor-element{max-width: calc(50% - (var(--column-gap) / 2));}
.footerLogo{position: static !important;}
.copyRightMenu .elementor-nav-menu--main ul.elementor-nav-menu{margin-inline-start: 0;}
.logoSpaceHead { max-width: 460px; }
}

@media (max-width: 400px) {
.hmTouchList> .elementor-element{max-width: 100%;}
}
  
/* Customize all css */
.footer-main-section .details-part .elementor-icon-box-content p.elementor-icon-box-description a{color:var( --e-global-color-c27822c );transition:0.4s ease all;}
.footer-main-section .details-part .elementor-icon-box-content p.elementor-icon-box-description a:hover{color:var( --e-global-color-primary );}
.exploreRangeCard .elementor-cta:hover .elementor-cta__bg-overlay{background-color:transparent;}
.exploreRangeCard .elementor-cta .elementor-cta__bg-overlay{background:linear-gradient(180deg,rgba(0,0,0,0.2) 0%,rgba(0,0,0,0.6) 100%);}
/* General form styling */
.gform_wrapper input[type="text"],.gform_wrapper input[type="email"],.gform_wrapper input[type="tel"],.gform_wrapper input[type="number"],.gform_wrapper textarea{width:100%;padding:12px 20px !important;border:1px solid #ccc !important;border-radius:0px !important;font-family:var(--roboto) !important;font-size:16px !important;box-sizing:border-box;box-shadow:none !important;transition:border-color 0.3s,box-shadow 0.3s;}
.gform_wrapper input[type="text"],.gform_wrapper input[type="email"],.gform_wrapper input[type="tel"],.gform_wrapper input[type="number"]{min-height:50px !important;padding-left:110px !important;border-radius:5px !important;color:var(--gray) !important;}
/* Focus effect */
.gform_wrapper input[type="text"]:focus,.gform_wrapper input[type="email"]:focus,.gform_wrapper input[type="tel"]:focus,.gform_wrapper input[type="number"]:focus,.gform_wrapper textarea:focus{border-color:var(--color-primary) !important;box-shadow:0 0 5px rgba(0,115,230,0.5) !important;outline:none;}
/* Submit button */
.gform_wrapper input[type="submit"],.gform_wrapper button[type="submit"]{display:inline-block;padding:12px 24px !important;background-color:var(--white) !important;color:var(--color-secondary) !important;;border:2px solid var(--color-secondary) !important;font-family:var(--montserrat) !important;border-radius:0px !important;font-size:var(--f16) !important;line-height:1.25em !important;font-weight:600 !important;cursor:pointer;transition:background-color 0.3s;text-transform:uppercase !important!;min-width:230px !important;}
.gform_wrapper input[type="submit"]:hover,.gform_wrapper button[type="submit"]:hover{background-color:var(--black) !important;color:var(--white) !important;}
.gform_wrapper input[type="submit"]:focus{outline:0 !important;box-shadow:none !important;}
.gform-theme--foundation .gform_fields{gap:8px !important;}
/* Labels */
.gform_wrapper .gfield_label{display:block;font-weight:bold;color:var(--black);font-size:16px;width:100%;position:absolute;top:25px;transform:translateY(-50%);left:12px;font-size:16px !important;}
/* Error message styling */
.gform_wrapper .gform_validation_error{margin-top:15px;padding:10px;border:1px solid #f44336;background-color:#fdecea;color:#f44336;border-radius:4px;}
/* Success message styling */
.gform_confirmation_message{margin-top:15px;padding:10px;border:1px solid #4caf50;background-color:#e8f5e9;color:#4caf50;border-radius:4px;}
/* Validation error styling for fields */
.gform_wrapper .gfield_error input[type="text"],.gform_wrapper .gfield_error input[type="email"],.gform_wrapper .gfield_error input[type="tel"],.gform_wrapper .gfield_error textarea{border-color:#f44336;box-shadow:0 0 5px rgba(244,67,54,0.5);}
.gform_wrapper .gfield{position:relative;}
.gform_wrapper .gfield:before{content:'';position:absolute;background:#bfc8ce;height:23px;left:95px;width:1px;top:13px;z-index: 1}
.footer-main-section .contact-form-footer .gform_heading{display:none;}
.gform-theme--foundation .gfield textarea.large{min-block-size:12rem !important;padding-top:45px !important;padding-left:12px !important;color:var(--gray);resize:none;}
input#gform_submit_button_1{width:100%;background:var(--text) !important;text-transform:uppercase;color:var(--white) !important;border-radius:5px !important;transition:0.4s ease all;font-weight:700 !important;}
input#gform_submit_button_1:hover{background:var(--primary) !important;}
.contact-form-footer .gform-footer.gform_footer.top_label{margin-top:8px;}
.footer-main-section .block-text{display:block;}
.footer-main-section .text-blue{color:var(--text);}
span.gfield_required{margin-left:-2px;vertical-align:super;}

.gform_wrapper .gfield:has(.cf-turnstile):before{display: none;}
/* End */
/* About us */
.about-section .about-text{color:#efcdcd !important;}
.about-section .about-text span{color:var(--white);}
.core-values-section ul.list-values{padding-left:18px;padding-top:15px;color:var(--gray);list-style:none;}
.core-values-section ul.list-values li{position:relative;}
.core-values-section ul.list-values li:before{content:'';position:absolute;left:-15px;height:4px;width:4px;background:var(--primary);top:11px;}